package com.ruoyi.project.training.elearn.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 题库对象 t_el_repo
 *
 * @author ssy
 * @date 2024-05-27
 */
public class TElRepo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long repoId;

    /** 题库编号 */
    @Excel(name = "题库编号")
    private String code;

    /** 题库名称 */
    @Excel(name = "题库名称")
    private String title;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private Long radioCount;
    private Long multiCount;
    private Long judgeCount;

    /** 类型 */
    private Integer examType;

    /** 类型 */
    private Integer isStudy;

    public void setRepoId(Long repoId)
    {
        this.repoId = repoId;
    }

    public Long getRepoId()
    {
        return repoId;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public Long getRadioCount() {
        return radioCount;
    }

    public void setRadioCount(Long radioCount) {
        this.radioCount = radioCount;
    }

    public Long getMultiCount() {
        return multiCount;
    }

    public void setMultiCount(Long multiCount) {
        this.multiCount = multiCount;
    }

    public Long getJudgeCount() {
        return judgeCount;
    }

    public void setJudgeCount(Long judgeCount) {
        this.judgeCount = judgeCount;
    }

    public Integer getExamType() {
        return examType;
    }

    public void setExamType(Integer examType) {
        this.examType = examType;
    }

    public Integer getIsStudy() {
        return isStudy;
    }

    public void setIsStudy(Integer isStudy) {
        this.isStudy = isStudy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("repoId", getRepoId())
            .append("code", getCode())
            .append("title", getTitle())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
